unit Unit2;

{$WARN SYMBOL_PLATFORM OFF}

interface

uses
  ComObj, ActiveX, Project1_TLB, StdVcl;

type
  TAutoProgressBar = class(TAutoObject, IAutoProgressBar)
  protected
    function Get_Position: SYSINT; safecall;
    procedure Set_Position(Value: SYSINT); safecall;
    procedure Clear; safecall;

  end;

implementation

uses ComServ, Unit1;

procedure TAutoProgressBar.Clear;
begin
Form1.ProgressBar1.Position:=Form1.ProgressBar1.Min;
end;

function TAutoProgressBar.Get_Position: SYSINT;
begin

end;

procedure TAutoProgressBar.Set_Position(Value: SYSINT);
begin

end;

initialization
  TAutoObjectFactory.Create(ComServer, TAutoProgressBar, Class_AutoProgressBar,
    ciSingleInstance, tmSingle);
end.
